#!/bin/bash

# Une autre version du script "column totaler"
# qui ajoute une colonne spécifiée (de nombres) dans le fichier cible.
# Celui-ci utilise les références indirectes.

ARGS=2
E_MAUVAISARGS=65

if [ $# -ne "$ARGS" ] # Vérifie le bon nombre d'arguments sur la ligne de
	              # commande.
then
   echo "Usage: `basename $0` nomfichier numéro_colonne"
   exit $E_MAUVAISARGS
fi

nomfichier=$1
numero_colonne=$2

#===== Identique au script original, jusqu'à ce point =====#


# Un script multi-ligne est appelé par awk ' ..... '


# Début du script awk.
# ------------------------------------------------
awk "

{ total += \$${numero_colonne} # référence indirecte
}
END {
     print total
     }

     " "$nomfichier"
# ------------------------------------------------
# Fin du script awk.

# La référence de variable indirecte évite les problèmes de
# référence d'une variable shell à l'intérieur d'un script embarqué.
# Merci, Stephane Chazelas.


exit 0
